<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.1
Name: [3] Sekcja rozpoznań
Description: Szablon struktury CDA dla sekcji rozpoznań
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000">
   <title>[3] Sekcja rozpoznań</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]
Item: (plCdaDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]"
         id="tmp-r-12299717-bb2e-4a74-ace8-34b8a9437ca5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/@nullFlavor)">(plCdaDiagnosisSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1'])&lt;=1">(plCdaDiagnosisSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']
Item: (plCdaDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']"
         id="tmp-r-4240094d-d43c-4457-8389-122bb76bc327">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaDiagnosisSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDiagnosisSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.1'] | self::hl7:id | self::hl7:code[@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC' and @displayName='Diagnosis'] | self::hl7:title | self::hl7:text | self::hl7:entry)])">(plCdaDiagnosisSection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja rozpoznań" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.1']/@nullFlavor)">(plCdaDiagnosisSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.1'])&lt;=1">(plCdaDiagnosisSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaDiagnosisSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaDiagnosisSection): element hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaDiagnosisSection): element hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaDiagnosisSection): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaDiagnosisSection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaDiagnosisSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaDiagnosisSection): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/@nullFlavor)">(plCdaDiagnosisSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaDiagnosisSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'])&lt;=1">(plCdaDiagnosisSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.1']
Item: (plCdaDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.1']"
         id="tmp-r-2a750123-3f9b-4e3f-b111-991ab14ef2b5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.1'">(plCdaDiagnosisSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDiagnosisSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/hl7:id
Item: (plCdaDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/hl7:id"
         id="tmp-r-d823fb26-1e9f-4aac-957d-664abaed16cb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/hl7:code[(@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-d3970235-aec8-4e17-9f72-022b4af67ac2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="@nullFlavor or (@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diagnosis' and @codeSystemName='LOINC')">(plCdaDiagnosisSection): Wartość elementu MUSI wynosić code '29548-5' codeSystem '2.16.840.1.113883.6.1' displayName='Diagnosis' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/hl7:title
Item: (plCdaDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/hl7:title"
         id="tmp-r-b017907a-7854-40e6-97cf-25e0b2792a14">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/hl7:text
Item: (plCdaDiagnosisSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.1']/hl7:text"
         id="tmp-r-2b097a8a-6c2f-48d9-887b-54c1ee2a8be6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.1-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDiagnosisSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
